Re: Error in make of LyX version 2.3.0 under Linux-Mint

2018-09-12 Thread Wolfgang Engelmann




On 12.09.2018 20:37, Kornel Benko wrote:

Am Mittwoch, 12. September 2018 19:00:31 CEST schrieb Wolfgang Engelmann 
:

I am under Linux-Mint trying to install LyX version 2.3.0

./configure
configuring LyX version 2.3.0

was alright

make gives me this fatal error:

GuiApplication.cpp:122:23: fatal error: X11/Xatom.h: No such file or
directory
compilation terminated.

X11/Xatom.h is part of the X11 devel package:
"x11proto-core-dev"
Please install this first.
Looks, like you would have to install some more packages too.

I would try to install 'apt-file' too. Once apt-file is configured (with: "apt-file 
update"),
it is easy to find a package for any eventually missing file.

In this case, I did:
# apt-file find X11/Xatom.h
emscripten: /usr/share/emscripten/system/include/X11/Xatom.h
x11proto-core-dev: /usr/include/X11/Xatom.h


Makefile:1004: recipe for target 'GuiApplication.o' failed
make[6]: *** [GuiApplication.o] Error 1
make[6]: Leaving directory '/mnt/sdb/we/lyx-2.3.0/src/frontends/qt4'
Makefile:848: recipe for target 'all' failed
make[5]: *** [all] Error 2
make[5]: Leaving directory '/mnt/sdb/we/lyx-2.3.0/src/frontends/qt4'
Makefile:778: recipe for target 'all-recursive' failed

Do I need to install something else before running make?

Thanks for a pointer,

Wolfgang


Kornel


Thanks a lot, Kornel!
Wolfgang


Re: Error in make of LyX version 2.3.0 under Linux-Mint

2018-09-12 Thread Kornel Benko
Am Mittwoch, 12. September 2018 19:00:31 CEST schrieb Wolfgang Engelmann 
:
> I am under Linux-Mint trying to install LyX version 2.3.0
> 
> ./configure
> configuring LyX version 2.3.0
> 
> was alright
> 
> make gives me this fatal error:
> 
> GuiApplication.cpp:122:23: fatal error: X11/Xatom.h: No such file or 
> directory
> compilation terminated.

X11/Xatom.h is part of the X11 devel package:
"x11proto-core-dev"
Please install this first.
Looks, like you would have to install some more packages too.

I would try to install 'apt-file' too. Once apt-file is configured (with: 
"apt-file update"),
it is easy to find a package for any eventually missing file.

In this case, I did:
# apt-file find X11/Xatom.h
emscripten: /usr/share/emscripten/system/include/X11/Xatom.h
x11proto-core-dev: /usr/include/X11/Xatom.h

> Makefile:1004: recipe for target 'GuiApplication.o' failed
> make[6]: *** [GuiApplication.o] Error 1
> make[6]: Leaving directory '/mnt/sdb/we/lyx-2.3.0/src/frontends/qt4'
> Makefile:848: recipe for target 'all' failed
> make[5]: *** [all] Error 2
> make[5]: Leaving directory '/mnt/sdb/we/lyx-2.3.0/src/frontends/qt4'
> Makefile:778: recipe for target 'all-recursive' failed
> 
> Do I need to install something else before running make?
> 
> Thanks for a pointer,
> 
> Wolfgang
> 
Kornel



signature.asc
Description: This is a digitally signed message part.


Error in make of LyX version 2.3.0 under Linux-Mint

2018-09-12 Thread Wolfgang Engelmann

I am under Linux-Mint trying to install LyX version 2.3.0

./configure
configuring LyX version 2.3.0

was alright

make gives me this fatal error:

GuiApplication.cpp:122:23: fatal error: X11/Xatom.h: No such file or 
directory

compilation terminated.
Makefile:1004: recipe for target 'GuiApplication.o' failed
make[6]: *** [GuiApplication.o] Error 1
make[6]: Leaving directory '/mnt/sdb/we/lyx-2.3.0/src/frontends/qt4'
Makefile:848: recipe for target 'all' failed
make[5]: *** [all] Error 2
make[5]: Leaving directory '/mnt/sdb/we/lyx-2.3.0/src/frontends/qt4'
Makefile:778: recipe for target 'all-recursive' failed

Do I need to install something else before running make?

Thanks for a pointer,

Wolfgang



lyx-2.3.0 New thread: lyx-2.3.0 error after make. SOLVED

2018-02-01 Thread Wolfgang Engelmann

After compiling and make I started lyx with
src/lyx
I got an error concerning the configuration file.
However, after removing the .lyx file, Lyx started ok. Glad it did.
Wolfgang
#
LyX: Unknown tag `\jbibtex_alternatives' [around line 458 of file 
~/.lyx/lyxrc.defaults current token: '\jbibtex_alternatives' context: '']
LyX: Unknown tag `\jbibtex_alternatives' [around line 459 of file 
~/.lyx/lyxrc.defaults current token: '\jbibtex_alternatives' context: '']
LyX: Unknown tag `\jbibtex_alternatives' [around line 460 of file 
~/.lyx/lyxrc.defaults current token: '\jbibtex_alternatives' context: '']
LyX: Unknown tag `\jbibtex_alternatives' [around line 461 of file 
~/.lyx/lyxrc.defaults current token: '\jbibtex_alternatives' context: '']
LyX: Unknown tag `\pygmentize_command' [around line 469 of file 
~/.lyx/lyxrc.defaults current token: '\pygmentize_command' context: '']

Warning: Die Konfigurationsdatei konnte nicht gelesen werden

Fehler beim Lesen der Konfigurationsdatei
preferences.
Bitte prüfen Sie Ihre Installation.
we@wolfgang-Mr-Whisper-Ultra-SSD-II:~/lyx-2.2.3$ src/lyx
LyX: Unknown tag `\jbibtex_alternatives' [around line 458 of file 
~/.lyx/lyxrc.defaults current token: '\jbibtex_alternatives' context: '']
LyX: Unknown tag `\jbibtex_alternatives' [around line 459 of file 
~/.lyx/lyxrc.defaults current token: '\jbibtex_alternatives' context: '']
LyX: Unknown tag `\jbibtex_alternatives' [around line 460 of file 
~/.lyx/lyxrc.defaults current token: '\jbibtex_alternatives' context: '']
LyX: Unknown tag `\jbibtex_alternatives' [around line 461 of file 
~/.lyx/lyxrc.defaults current token: '\jbibtex_alternatives' context: '']
LyX: Unknown tag `\pygmentize_command' [around line 469 of file 
~/.lyx/lyxrc.defaults current token: '\pygmentize_command' context: '']

Warning: Die Konfigurationsdatei konnte nicht gelesen werden

Fehler beim Lesen der Konfigurationsdatei
preferences.
Bitte prüfen Sie Ihre Installation.
###





Re: lyx-2.3.1beta-1 finished > New thread: lyx-2.3.0 error after make

2018-02-01 Thread Wolfgang Engelmann



Am 01.02.2018 um 13:27 schrieb Kornel Benko:

Am Donnerstag, 1. Februar 2018 12:56:48 CET schrieb Wolfgang Engelmann
<engelm...@uni-tuebingen.de>:

Am 01.02.2018 um 11:49 schrieb Kornel Benko:

Am Donnerstag, 1. Februar 2018 11:21:26 CET schrieb Wolfgang Engelmann

<engelm...@uni-tuebingen.de>:

Am 01.02.2018 um 10:04 schrieb Kornel Benko:

Am Donnerstag, 1. Februar 2018 09:39:11 CET schrieb Wolfgang Engelmann

<engelm...@uni-tuebingen.de>:

Am 01.02.2018 um 09:24 schrieb Kornel Benko:

Am Donnerstag, 1. Februar 2018 09:07:50 CET schrieb Wolfgang Engelmann

<engelm...@uni-tuebingen.de>:

Am 31.01.2018 um 18:23 schrieb Joel Kulesza:

On Wed, Jan 31, 2018 at 9:11 AM, Uwe Stöhr <uwesto...@lyx.org

<mailto:uwesto...@lyx.org>> wrote:
Am 31.01.2018 um 10:31 schrieb Wolfgang Engelmann:
2- How do I use the tar.xz.sig file in respect to the
tar.xz?

This is the signature file to check if the file you

downloaded
was
not modified.

Uwe described what the file is, but how it is used is summarized
here:
http://www.lyx.org/Download#toc11
<http://www.lyx.org/Download#toc11>

- Joel

Using the instruction given and after installing xz-utils

sudo gpg --recv-keys FE66471B43559707AFDAD955DE7A44FAC7FB382D

gives me

gpg: Schlüssel DE7A44FAC7FB382D: Öffentlicher Schlüssel "LyX Release
Manager (Signing LyX tarballs and binaries) <sa...@lyx.org>"
importiert
gpg: keine ultimativ vertrauenswürdigen Schlüssel gefunden
gpg: Anzahl insgesamt bearbeiteter Schlüssel: 1
gpg:  importiert: 1
(open key, no ultimative reliable key found, number of used keys )

Is this to be expected?
Wolfgang

Yes, and you should _not_ use 'sudo' here.

Kornel

Thanks, Kornel,

I tried it first without sudo and got

gpg --recv-keys FE66471B43559707AFDAD955DE7A44FAC7FB382D
gpg: lookup_hashtable failed: Unbekannter Systemfehler
/unknown system error/
gpg: trustdb: searching trust record failed: Unbekannter Systemfehler
gpg: Fehler: Die Vertrauensdatenbank ist fehlerhaft
/trusting databank erraneous/
gpg: Sie können versuchen die Vertrauensdatenbank durch folgende
Befehle
wiederherzustellen:
gpg:   cd ~/.gnupg
gpg:   gpg --export-ownertrust > otrust.tmp
gpg:   rm trustdb.gpg
gpg:   gpg --import-ownertrust < otrust.tmp
gpg: Falls dies nicht funktioniert, sehen Sie bitte im Handbuch nach
/if not working, check manual

after the wrong sudo I tried again without sudo:
/~$ gpg --recv-keys FE66471B43559707AFDAD955DE7A44FAC7FB382D
gpg: Empfangen vom Schlüsselserver fehlgeschlagen: Keine Daten

Maybe some data not readable by you.


/receiving of keyserver failed: No data

Should I have first canceled my wrong attempt to use sudo, and how
would
I do that?

Wolfgang
/

I would first check that all data in ~/.gnupg/ belongs to me.

yes, they do


And _never_ use
sudo for gpg.

now I know. Thanks


To check if a file 'fxxx' and the signature are in sync:
# gpg --verify fxxx.sig fxxx

To import a public key I would use a gui like  e.g. seahorse.

I have installed seahorse and tried it. But I need a hint.
I have a folder
lyx-2-3-new
which contains the
.tar.xz and the tar.xz.sig
Seahorse does not seem to recognize the content of the tar.xz stuff.
Do I have to extract the .tar.xz and the tar.xz.sig first, move the sig
into the folder with the extracted stuff and than run it?
Sorry for these probably naive questions, but I am in the 80s and it
takes all its time.
Thanks for your patience
Wolfgang

# seahorse

Entfernt->Entfernte Schlüssel suchen...->Suche nach: sanda@lyx

Suchort: 
hkp://keyserver.ubuntu.com:11371

click on the entry with 'Signing LyX tarballs and binaries'
click on '+ Importieren
leave the dialog
goto GnuPG-Schlüssel
left click on this new key ->Eigenschaften->Vertrauen
click on 'Vertrauen in diesen Schlüssel'
close dialog

You should be done

Kornel

I guess, you meant with # seahorse
run as superuser.

PLEASE NO
Never as superuser, if you are doing something private.


The terminal from which I ran it, tells
# seahorse
(seahorse:32621): GLib-GIO-CRITICAL **: g_dbus_proxy_new_sync: assertion
'G_IS_DBUS_CONNECTION (connection)' failed
(seahorse:32621): GLib-GIO-CRITICAL **: g_dbus_proxy_get_name_owner:
assertion 'G_IS_DBUS_PROXY (proxy)' failed
(seahorse:32621): seahorse-WARNING **: gkr-backend.vala:90: couldn't
connect to secret service: Verbindung ist geschlossen

Might have to do with your

To check if a file 'fxxx' and the signature are in sync:
# gpg --verify fxxx.sig fxxx
?? Wolfgang
Thanks all who helped me. I gave up with the signature and compiled the 
lyx2.3.0 version.

I got an error after make, see New thread: lyx-2.3.0 error after make
Wolfgang



error in make

2009-06-12 Thread bb
I tried to install lyx 1.6.3 on Suse 11.1 32 bit. In applying make I get
the following error message (only the last lines of very many). Does
anyone have an idea how to proceed? 

regards bb 

.
make[4]: Entering directory `/home/bb/lyx/lyx-1.6.3/src'
/bin/sh ../libtool --tag=CXX   --mode=link g++  -O2   -o liblyxmathed.la
InsetMathAMSArray.lo InsetMathArray.lo InsetMathBig.lo
InsetMathBoldSymbol.lo InsetMathBox.lo InsetMathBrace.lo InsetMath.lo
InsetMathCases.lo InsetMathChar.lo InsetMathColor.lo CommandInset.lo
InsetMathComment.lo InsetMathDecoration.lo InsetMathDelim.lo
InsetMathDiff.lo InsetMathDots.lo InsetMathEnsureMath.lo InsetMathEnv.lo
InsetMathExFunc.lo InsetMathExInt.lo InsetMathFont.lo
InsetMathFontOld.lo InsetMathFrac.lo InsetMathGrid.lo InsetMathHull.lo
InsetMathKern.lo InsetMathLefteqn.lo InsetMathLim.lo MathMacro.lo
InsetMathMatrix.lo InsetMathNest.lo InsetMathNumber.lo
InsetMathOverset.lo InsetMathPar.lo InsetMathPhantom.lo InsetMathRef.lo
InsetMathRoot.lo InsetMathScript.lo InsetMathSize.lo InsetMathSpace.lo
InsetMathSpecialChar.lo InsetMathSplit.lo InsetMathSqrt.lo
InsetMathStackrel.lo InsetMathString.lo InsetMathSubstack.lo
InsetMathSymbol.lo InsetMathTabular.lo InsetMathUnderset.lo
InsetMathUnknown.lo InsetMathXArrow.lo InsetMathXYMatrix.lo MathAtom.lo
MathAutoCorrect.lo MathData.lo MathExtern.lo MathFactory.lo
MathMacroArgument.lo MacroTable.lo MathMacroTemplate.lo MathParser.lo
MathStream.lo MathSupport.lo TextPainter.lo   
libtool: link: `InsetMathNest.lo' is not a valid libtool object
make[4]: *** [liblyxmathed.la] Fehler 1
make[4]: Leaving directory `/home/bb/lyx/lyx-1.6.3/src'
make[3]: *** [all-recursive] Fehler 1
make[3]: Leaving directory `/home/bb/lyx/lyx-1.6.3/src'
make[2]: *** [all] Fehler 2
make[2]: Leaving directory `/home/bb/lyx/lyx-1.6.3/src'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/home/bb/lyx/lyx-1.6.3'
make: *** [all] Fehler 2
b...@linux-8tal:~/lyx/lyx-1.6.3 



error in make

2009-06-12 Thread bb
I tried to install lyx 1.6.3 on Suse 11.1 32 bit. In applying make I get
the following error message (only the last lines of very many). Does
anyone have an idea how to proceed? 

regards bb 

.
make[4]: Entering directory `/home/bb/lyx/lyx-1.6.3/src'
/bin/sh ../libtool --tag=CXX   --mode=link g++  -O2   -o liblyxmathed.la
InsetMathAMSArray.lo InsetMathArray.lo InsetMathBig.lo
InsetMathBoldSymbol.lo InsetMathBox.lo InsetMathBrace.lo InsetMath.lo
InsetMathCases.lo InsetMathChar.lo InsetMathColor.lo CommandInset.lo
InsetMathComment.lo InsetMathDecoration.lo InsetMathDelim.lo
InsetMathDiff.lo InsetMathDots.lo InsetMathEnsureMath.lo InsetMathEnv.lo
InsetMathExFunc.lo InsetMathExInt.lo InsetMathFont.lo
InsetMathFontOld.lo InsetMathFrac.lo InsetMathGrid.lo InsetMathHull.lo
InsetMathKern.lo InsetMathLefteqn.lo InsetMathLim.lo MathMacro.lo
InsetMathMatrix.lo InsetMathNest.lo InsetMathNumber.lo
InsetMathOverset.lo InsetMathPar.lo InsetMathPhantom.lo InsetMathRef.lo
InsetMathRoot.lo InsetMathScript.lo InsetMathSize.lo InsetMathSpace.lo
InsetMathSpecialChar.lo InsetMathSplit.lo InsetMathSqrt.lo
InsetMathStackrel.lo InsetMathString.lo InsetMathSubstack.lo
InsetMathSymbol.lo InsetMathTabular.lo InsetMathUnderset.lo
InsetMathUnknown.lo InsetMathXArrow.lo InsetMathXYMatrix.lo MathAtom.lo
MathAutoCorrect.lo MathData.lo MathExtern.lo MathFactory.lo
MathMacroArgument.lo MacroTable.lo MathMacroTemplate.lo MathParser.lo
MathStream.lo MathSupport.lo TextPainter.lo   
libtool: link: `InsetMathNest.lo' is not a valid libtool object
make[4]: *** [liblyxmathed.la] Fehler 1
make[4]: Leaving directory `/home/bb/lyx/lyx-1.6.3/src'
make[3]: *** [all-recursive] Fehler 1
make[3]: Leaving directory `/home/bb/lyx/lyx-1.6.3/src'
make[2]: *** [all] Fehler 2
make[2]: Leaving directory `/home/bb/lyx/lyx-1.6.3/src'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/home/bb/lyx/lyx-1.6.3'
make: *** [all] Fehler 2
b...@linux-8tal:~/lyx/lyx-1.6.3 



error in make

2009-06-12 Thread bb
I tried to install lyx 1.6.3 on Suse 11.1 32 bit. In applying make I get
the following error message (only the last lines of very many). Does
anyone have an idea how to proceed? 

regards bb 

.
make[4]: Entering directory `/home/bb/lyx/lyx-1.6.3/src'
/bin/sh ../libtool --tag=CXX   --mode=link g++  -O2   -o liblyxmathed.la
InsetMathAMSArray.lo InsetMathArray.lo InsetMathBig.lo
InsetMathBoldSymbol.lo InsetMathBox.lo InsetMathBrace.lo InsetMath.lo
InsetMathCases.lo InsetMathChar.lo InsetMathColor.lo CommandInset.lo
InsetMathComment.lo InsetMathDecoration.lo InsetMathDelim.lo
InsetMathDiff.lo InsetMathDots.lo InsetMathEnsureMath.lo InsetMathEnv.lo
InsetMathExFunc.lo InsetMathExInt.lo InsetMathFont.lo
InsetMathFontOld.lo InsetMathFrac.lo InsetMathGrid.lo InsetMathHull.lo
InsetMathKern.lo InsetMathLefteqn.lo InsetMathLim.lo MathMacro.lo
InsetMathMatrix.lo InsetMathNest.lo InsetMathNumber.lo
InsetMathOverset.lo InsetMathPar.lo InsetMathPhantom.lo InsetMathRef.lo
InsetMathRoot.lo InsetMathScript.lo InsetMathSize.lo InsetMathSpace.lo
InsetMathSpecialChar.lo InsetMathSplit.lo InsetMathSqrt.lo
InsetMathStackrel.lo InsetMathString.lo InsetMathSubstack.lo
InsetMathSymbol.lo InsetMathTabular.lo InsetMathUnderset.lo
InsetMathUnknown.lo InsetMathXArrow.lo InsetMathXYMatrix.lo MathAtom.lo
MathAutoCorrect.lo MathData.lo MathExtern.lo MathFactory.lo
MathMacroArgument.lo MacroTable.lo MathMacroTemplate.lo MathParser.lo
MathStream.lo MathSupport.lo TextPainter.lo   
libtool: link: `InsetMathNest.lo' is not a valid libtool object
make[4]: *** [liblyxmathed.la] Fehler 1
make[4]: Leaving directory `/home/bb/lyx/lyx-1.6.3/src'
make[3]: *** [all-recursive] Fehler 1
make[3]: Leaving directory `/home/bb/lyx/lyx-1.6.3/src'
make[2]: *** [all] Fehler 2
make[2]: Leaving directory `/home/bb/lyx/lyx-1.6.3/src'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/home/bb/lyx/lyx-1.6.3'
make: *** [all] Fehler 2
b...@linux-8tal:~/lyx/lyx-1.6.3>